Query returns
GET https://{handle}.myshopline.com/admin/openapi/v20261201/return.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Query the corresponding return order details based on the provided return order ID or order ID.
Query Parameters
- id stringReturn order ID. You must provide the return order ID, the order ID, or both.Example:
2605860580357012238342 - order_id stringOrder ID. You must provide the return order ID, the order ID, or both.Example:
21058605762597644309430942
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
- 200
- 401
- 422
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
returnsobject[]
A list of return order information.order_id stringThe unique identifier for the order.Example:21058605762597644309430942return_line_itemsobject[]
A list of details for refunded products.id stringReturn product line number.Example:RDP5860580372212396041quantity integerThe number of products in the return order.Example:20return_reason stringThe return reasons for the product line. Valid values are:COLOR: Incorrect color.DEFECTIVE: Product is damaged or defective.NOT_AS_DESCRIBED: Product does not match the description.OTHER: Other reasons.SIZE_TOO_LARGE: Size is too large.SIZE_TOO_SMALL: Size is too small.STYLE: Issues with the style.UNWANTED: Customer changed their mind.WRONG_ITEM: Received the wrong item.
Example:NOT_AS_DESCRIBEDreturn_reason_note stringDetailed notes on the reason for the return of the product.Example:Product does not match the descriptionfulfillment_id stringThe unique identifier for the shipment order associated with the return order.Example:RPP5873267430525507606fulfillment_line_itemobject
Shipping message for return list association.line_itemobject
Invoice product line information.tags stringProduct tag, separated by commas when there are multiple.Example:salesimage_url stringLink to the image of the returned product.Example:https://image.shopline.com/abc.jpgprice stringProduct selling price, product detail page sale price.Example:100.0grams doubleProduct weight in grams.Example:1vendor stringProduct supplier.Example:Product supplierrequires_shipping booleanIndicates whether the product is subject to shipping.true:Shipping is required.false:Shipping is not required.
Example:trueproduct_id stringSPU serial number.Example:16056898121352174690861487sku stringProduct SKU serial number.Example:SKU1234location_id stringLocal delivery location number or standard delivery location number.Example:5327026538935748524fulfillable_quantity integerRemaining fulfillable quantity at product line level.Example:20fulfillment_status stringProduct delivery status. Valid values are:fulfilled: shippedpartia: partially shippednull: not shipped
Example:fulfilledvariant_id stringThe SKU of the product. The unique identifier for the product style.Example:18056898121355865678441487attribute stringProduct attribute information: name-attribute value. When there are multiple attribute values, they are separated by commas. For example,Color-Red, Size-L.Example:Color-Red, Size-Lquantity integerThe quantity of products that need to be shipped.Example:20taxable booleanIndicates whether the product is taxable.true:taxablefalse:not taxable
Example:truetitle stringThe title of the product.Example:It's good Productid stringProduct line ID.Example:405tax_linesobject[]
The returned product tax information.price stringThe tax amount.Example:18.00price_setobject
Tax amount measured in store currency and transaction currency.presentment_moneyobject
Buyer side currency amount information.currency_code stringThe transaction currency. The value of this parameter is a three-letter currency code that follows the ISO 4217 standard.Example:USDamount stringTax amount in the transaction currency.Example:18.00shop_moneyobject
Store currency amount information.currency_code stringThe shop currency. The value of this parameter is a three-letter currency code that follows the ISO 4217 standard.Example:USDamount stringTax amount in the shop currency.Example:18.00rate doubleThe tax rate, for display only.Example:0.02title stringThe tax description title, display only.Example:CNMPvariant_title stringProduct attribute value, multiple divided by " / ".Example:L/Redgift_card booleanIndicates whether the product is a gift card item.true:gift card itemfalse:not a gift card item
Example:truename stringSKU title, same astitle.Example:It's good Productfulfillment_service stringLogistics company name.Example:Sf internationalpropertiesobject[]
Product customization information.name stringProduct customization information name.Example:Texttype stringCustom information type. Valid values are:text: textpicture: picturelink: hyperlink
Example:texturls arrayProduct customization information link.Example:["https://image.shopline.com"]value stringProduct customization information content.Example:Freedomquantity integerThe quantity of products corresponding to the fulfillment shipment.Example:20return_reason stringThe reason for the return of the product.Example:Reasonstatus stringReturn order status.OPEN: returningCLOSED: return and refund completed
Example:OPENcreated_at stringThe date and time when the return order was created. Format: ISO 8601.Example:2024-08-31T02:20:26+08:00Example:2021-08-31T02:20:26+08:00id stringThe unique identifier for the return order.Example:2605860580357012238342
API Explorer
Debugger
Examples
Was this article helpful to you?